/*******************************************************************************
 * Copyright (C) 2008
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 *
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 *
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 *
 * Author: Marko Reiprecht
 * Created: 24.07.2008
 * Modified: $Date $
 ******************************************************************************/
/* $Id: $ */
package org.n52.security.decision;

/**
 * Interface DecisionService is the main interface for decision makeing within 52-North.
 * It can be implemented as proxy services, which delegate the decisions to remote services,
 * or by inprocess decision services.
 *
 * @author Marko Reiprecht
 *         Created on 24.07.2008
 * @version $Revision: $
 */
public interface DecisionService {

    /**
     * Executes a decision request.
     *
     * @param reqCol a ollection of decision requests.
     * @return a collection of decision responses with appropriate decisions.
     * @throws DecisionProcessingException if the request can't be processed.
     */
    PDPResponseCollection request(PDPRequestCollection reqCol) throws DecisionProcessingException;
}
